### File

`packages/ecl/components/ecl-table/events/ecl-sort-table.event.ts`

### Description

Event emitted when the table sort order changes.

Extends the base ECL event to provide sorting-specific information.

### Extends

`EclBaseEvent`

### Index

###### Properties
Public columnId Public sortOrder
###### Methods
preventDefault

### Constructor

`constructor(sortOrder: SortOrder, columnId: string)`
Parameters :
Name | Type | Optional
sortOrder | `SortOrder` | No
columnId | `string` | No

### Properties

Public columnId
Type : `string`
The identifier of the column that triggered the sort event.

Public sortOrder
Type : `SortOrder`
The order in which the table is currently sorted. Can be 'ascending', 'descending', or null (unsorted).

### Methods

preventDefault
`preventDefault()`
Returns : `void`

# results matching ""

# No results matching ""